Skip to content
Docs

HELOC Inquiries/Wholesale

Complete an inquiry

POST/products/heloc/v1/inquiry/{appUuid}/complete-inquiry

Idempotent: returns the current application details if the inquiry is already complete. The request body is required, and request.loanOriginatorUuid is required. The optional authorizedSignatory object may carry authorizedSignatoryName and authorizedSignatoryDate (yyyy-MM-dd), each independently optional. Values sent for an already-complete inquiry are ignored.

Request
curl -X POST \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/complete-inquiry" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "request": {
    "loanOriginatorUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "async": true
  },
  "authorizedSignatory": {
    "authorizedSignatoryName": "string",
    "authorizedSignatoryDate": "2026-01-31"
  }
}'

Path parameters

  • appUuidstringRequired

Request body

application/json
  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • authorizedSignatoryobject
    ShowHide 2 attributes of authorizedSignatory
    • authorizedSignatoryNamestring

      Optional signature name of the person who signed off on the broker-borrower agreement preview

    • authorizedSignatoryDatestring<date>

      Optional date (yyyy-MM-dd) the broker-borrower agreement was signed off

Responses

200OKobject

  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
  • appDetailsobject
    ShowHide 7 attributes of appDetails
    • organizationstringRequired
    • appUuidstring<uuid>Required
    • appDataobjectRequired
      ShowHide 31 attributes of appData
      • isInquirybooleanRequired
      • isBridgeLoanbooleanRequired
      • startedAsInquirybooleanRequired
      • autopaybooleanRequired
      • statusstringRequired
      • overallStatusstringRequired
      • nextInquiryStepenum
        One of
        17 valuesUNKNOWNNO_OFFERSREFINANCE_OFFEROFFERS_AVAILABLEOFFER_SELECTION_PENDINGBORROWER_AUTH_REQUIREDBROKER_DOC_SIGNING_REQUIREDINQUIRY_COMPLETEINQUIRY_CLOSEDINQUIRY_WITHDRAWNCREDIT_MATCH_REQUIREDMORE_ASSETS_REQUIREDLIEN_MATCHING_REQUIREDPROPERTY_VALUE_REQUIREDPAYOFF_REQUIREDUNFREEZE_CREDITSELECT_PROPERTY
      • keyDatesobject
        ShowHide 12 attributes of keyDates
        • createdDatestring<date-time>
        • expirationDatestring<date-time>
        • rescissionEndDatestring<date-time>
        • signingDatestring<date-time>
        • completedDatestring<date-time>
        • canceledDatestring<date-time>
        • declinedDatestring<date-time>
        • summaryDisclosureDatestring<date-time>
        • productAgreementESignedTimestampstring<date-time>
        • firstPaymentDueDatestring<date-time>
        • expectedPayoffDatestring<date-time>
        • lastStatusUpdateDatestring<date-time>
      • propertyAddressobject
        ShowHide 5 attributes of propertyAddress
        • street1stringRequired
          Pattern^[a-zA-Z0-9\s\-\.']+$
        • citystringRequired
          Pattern^[a-zA-Z\s\-']+$
        • statestringRequired
          Pattern^[A-Z]{2}$
        • zipstringRequired
          Pattern^[0-9]{5}(?:-[0-9]{4})?$
        • street2string
          Pattern^[a-zA-Z0-9\s\-\.']+$
      • statusReasonsarray of strings
      • ownershipTypeenum
        One ofUNKNOWNSOLEJOINTTRUSTLLCOTHER
      • financingPurposeenum
        One of
        13 valuesUNKNOWNDEBT_CONSOLIDATIONHOME_IMPROVEMENTMAJOR_PURCHASETRAVELEDUCATIONHEALTH_MEDICALCARING_FOR_FAMILYRETIREMENTSMALL_BUSINESSHOME_IMPROVEMENT_SMALL_BUSINESSSOLAR_ENERGY_EFFICIENT_INSTALLATIONOTHER
      • propertyLiensarray of objects
        ShowHide 7 attributes of propertyLiens
        • lienUuidstring<uuid>Required
        • originationDatestring
        • lenderNamestring
        • originalBalancenumber
        • currentBalancenumber
        • monthlyPaymentnumber
        • lienPositioninteger<int32>
      • hudLiensarray of objects
        ShowHide 7 attributes of hudLiens
        • lienUuidstring<uuid>Required
        • originationDatestring
        • lenderNamestring
        • originalBalancenumber
        • currentBalancenumber
        • monthlyPaymentnumber
        • lienPositioninteger<int32>
      • underwritingobject
        ShowHide 26 attributes of underwriting
        • decisionstring
        • minOfferAmountnumber
        • maxOfferAmountnumber
        • minOfferRatenumber
        • maxOfferRatenumber
        • ofeeMaxThresholdnumber
        • offersarray of objects
          ShowHide 11 attributes of offers
          • uuidstring<uuid>Required
          • minAmountnumberRequired
          • maxAmountnumberRequired
          • ratenumberRequired
          • primeRatenumberRequired
          • terminteger<int32>Required
          • rateTypeenumRequired
            One ofUNKNOWNFIXEDVARIABLE
          • originationFeePercentnumberRequired
          • discountsarray of objects
            ShowHide 2 attributes of discounts
            • typestringRequired
            • rateDiscountAmountnumberRequired
          • preDiscountOriginationFeenumber
          • appliedOriginationFeeCapAmountnumber
        • selectedOfferobject
          ShowHide 13 attributes of selectedOffer
          • offerUuidstring<uuid>Required
          • loanAmountnumberRequired
          • drawAmountnumberRequired
          • estimatedMonthlyPaymentnumberRequired
          • ratenumberRequired
          • primeRatenumberRequired
          • terminteger<int32>Required
          • rateTypeenumRequired
            One ofUNKNOWNFIXEDVARIABLE
          • originationFeePercentnumberRequired
          • originationFeenumberRequiredDeprecated

            use originationFeePercent instead

          • selectedDiscountsarray of objects
            ShowHide 2 attributes of selectedDiscounts
            • typestringRequired
            • rateDiscountAmountnumberRequired
          • creditLinenumber
          • originationFeeAmountnumber
        • softCreditobject
          ShowHide 3 attributes of softCredit
          • providerenum
            One ofEXPERIANTRANS_UNION
          • scoreinteger<int32>
          • timestampstring<date-time>
        • hardCreditobject
          ShowHide 3 attributes of hardCredit
          • providerenum
            One ofEXPERIANTRANS_UNION
          • scoreinteger<int32>
          • timestampstring<date-time>
        • monthlyIncomenumber
        • statedMonthlyIncomenumber
        • preLoanDtinumber
        • postLoanDtinumber
        • statedDtinumber
        • coDeedStatusenum
          One ofINITIALIN_PROGRESSCOMPLETE
        • floodInsuredboolean
        • homeownersInsuredboolean
        • employmentTypestring
        • homeForSaleMlsResponseboolean
        • homeForSaleBorrowerAttestedboolean
        • creditAsOfDatestring<date>
        • pricingAsOfDatestring<date>
        • guidelineVersionstring
        • finalAvmFsdinteger<int32>
        • prequalFsdinteger<int32>
      • propertyValueobject
        ShowHide 7 attributes of propertyValue
        • borrowerEstimatedValuenumber
        • propertyAvmValuenumber
        • preLoanCltvnumber
        • postLoanCltvnumber
        • preLoanAdjCltvnumber
        • postLoanAdjCltvnumber
        • postLoanAdjMinCltvnumber
      • manualNotaryobjectDeprecated

        use notary instead

        ShowHide 2 attributes of manualNotary
        • manualNotaryDatestring<date-time>
        • manualNotaryFeenumber
      • notaryobject
        ShowHide 4 attributes of notary
        • typeenum
          One ofNOT_APPLICABLEELECTRONICMANUAL
        • feenumber
        • appointmentDatestring<date-time>
        • completedDatestring<date-time>
      • costsobject
        ShowHide 3 attributes of costs
        • fixedCostsarray of objects
          ShowHide 2 attributes of fixedCosts
          • typeenumRequired
            One ofNOTARY_FEERECORDING_TAXRECORDING_FEETITLE_FEEBPO_FEEDRIVE_BY_VALUATION_FEEONSITE_APPRAISAL_FEE
          • borrowerPaidAmountnumber
        • dynamicCostsarray of objects
          ShowHide 2 attributes of dynamicCosts
          • typeenumRequired
            One ofNOTARY_FEERECORDING_TAXRECORDING_FEETITLE_FEEBPO_FEEDRIVE_BY_VALUATION_FEEONSITE_APPRAISAL_FEE
          • borrowerPaidAmountnumber
        • totalPaidByBorrowernumber
      • ddpDetailsobject
        ShowHide 6 attributes of ddpDetails
        • paidLiabilityPayoffAmountnumber
        • totalLiabilityPayoffAmountnumber
        • liabilityPayoffAllocatedAmountDtiImpactingnumber
        • liabilityPayoffAllocatedAmountNonDtiImpactingnumber
        • lienPositionAfterPayoffinteger<int32>
        • existingLiabilitiesobject
          ShowHide 2 attributes of existingLiabilities
          • eligiblearray of objectsRequired
            ShowHide 15 attributes of eligible
            • idstringRequired
            • monetaryBalancenumberRequired
            • creditorNamestringRequired
            • providesDtiCreditbooleanRequired
            • providesCltvCreditbooleanRequired
            • providesLienPositionCreditbooleanRequired
            • rateTypeenum
              One ofVARIABLEFIXED
            • liabilitySubTypeenum
              One of
              12 valuesLEASELOAN_SUB_TYPEFEDERALPRIVATEHELOCLINE_OF_CREDITFLEXIBLE_SPENDINGCHARGESECUREDUNSECUREDPURCHASEBUSINESS
            • lastDigitsOfAccountNumberstring
            • interestRatePercentagenumber
            • interestRatePercentageMaxnumber
            • interestRatePercentageMinnumber
            • payOffStatusenum
              One ofMARKED_FOR_PAYOFFPAID_OFFPAYOFF_REQUESTEDPAYOFF_FAILEDPAYOFF_REVERSALPAYOFF_REVERSAL_PROCESSING
            • liabilityTypeenum
              One ofAUTOPERSONALFIGURE_SERVICING_HELOCHOME_IMPROVEMENTCREDIT_CARDMORTGAGEHELOC
            • reasonsarray of objects
              ShowHide 2 attributes of reasons
              • unavailableReasonenum
                One of
                15 valuesNO_MATCHED_TRADELINENO_MATCHED_LIENNO_STATE_ELIGIBILITYABOVE_MAXIMUM_BALANCEEXCLUDED_BY_CREDIT_SCOREEXCLUDED_BY_CHARGED_OFF_ACCOUNTEXCLUDED_BY_CREDIT_CARD_TOTAL_ACCOUNT_DTIEXCLUDED_BY_NEXT_MIN_PAYMENTEXCLUDED_BY_MONETARY_BALANCEEXCLUDED_BY_MONETARY_ORIGINAL_LOAN_AMOUNTEXCLUDED_BY_PAYMENT_CAPABILITYEXCLUDED_BY_SUBSCRIPTION_CAPABILITYEXCLUDED_BY_SENSITIVE_ACCOUNT_CAPABILITYSEASONING_REQUIREMENTS_NOT_METOTHER
              • descriptionstring
          • ineligiblearray of objectsRequired
            ShowHide 15 attributes of ineligible
            • idstringRequired
            • monetaryBalancenumberRequired
            • creditorNamestringRequired
            • providesDtiCreditbooleanRequired
            • providesCltvCreditbooleanRequired
            • providesLienPositionCreditbooleanRequired
            • rateTypeenum
              One ofVARIABLEFIXED
            • liabilitySubTypeenum
              One of
              12 valuesLEASELOAN_SUB_TYPEFEDERALPRIVATEHELOCLINE_OF_CREDITFLEXIBLE_SPENDINGCHARGESECUREDUNSECUREDPURCHASEBUSINESS
            • lastDigitsOfAccountNumberstring
            • interestRatePercentagenumber
            • interestRatePercentageMaxnumber
            • interestRatePercentageMinnumber
            • payOffStatusenum
              One ofMARKED_FOR_PAYOFFPAID_OFFPAYOFF_REQUESTEDPAYOFF_FAILEDPAYOFF_REVERSALPAYOFF_REVERSAL_PROCESSING
            • liabilityTypeenum
              One ofAUTOPERSONALFIGURE_SERVICING_HELOCHOME_IMPROVEMENTCREDIT_CARDMORTGAGEHELOC
            • reasonsarray of objects
              ShowHide 2 attributes of reasons
              • unavailableReasonenum
                One of
                15 valuesNO_MATCHED_TRADELINENO_MATCHED_LIENNO_STATE_ELIGIBILITYABOVE_MAXIMUM_BALANCEEXCLUDED_BY_CREDIT_SCOREEXCLUDED_BY_CHARGED_OFF_ACCOUNTEXCLUDED_BY_CREDIT_CARD_TOTAL_ACCOUNT_DTIEXCLUDED_BY_NEXT_MIN_PAYMENTEXCLUDED_BY_MONETARY_BALANCEEXCLUDED_BY_MONETARY_ORIGINAL_LOAN_AMOUNTEXCLUDED_BY_PAYMENT_CAPABILITYEXCLUDED_BY_SUBSCRIPTION_CAPABILITYEXCLUDED_BY_SENSITIVE_ACCOUNT_CAPABILITYSEASONING_REQUIREMENTS_NOT_METOTHER
              • descriptionstring
      • utmParametersobject
        ShowHide 5 attributes of utmParameters
        • sourcestring
        • mediumstring
        • campaignstring
        • contentstring
        • termstring
      • statusHistoryarray of objects
        ShowHide 3 attributes of statusHistory
        • overallStatusstringRequired
        • statusstringRequired
        • timestampstring<date-time>
      • propertyDetailsobject
        ShowHide 10 attributes of propertyDetails
        • countystring
        • propertyTypeenum
          One ofPRIMARYSECONDARYINVESTMENT
        • propertyUuidstring<uuid>
        • corelogicPropertyIdstring
        • lotSquareFeetinteger<int32>
        • propertyFloodZonestring
        • landUseDescriptionstring
        • landUseCodestring
        • buildingGrossAreanumber
        • propertyAcresnumber
      • borrowerDetailsobject
        ShowHide 2 attributes of borrowerDetails
        • primaryobjectRequired
          ShowHide 10 attributes of primary
          • identityUuidstring<uuid>
          • emailstring
          • firstNamestring
          • middleNamestring
          • lastNamestring
          • suffixstring
          • prefixstring
          • dobstring<date>
          • addressobject
            ShowHide 5 attributes of address
            • street1stringRequired
              Pattern^[a-zA-Z0-9\s\-\.']+$
            • citystringRequired
              Pattern^[a-zA-Z\s\-']+$
            • statestringRequired
              Pattern^[A-Z]{2}$
            • zipstringRequired
              Pattern^[0-9]{5}(?:-[0-9]{4})?$
            • street2string
              Pattern^[a-zA-Z0-9\s\-\.']+$
          • phoneNumberstring
        • additionalSignersarray of objects
          ShowHide 10 attributes of additionalSigners
          • identityUuidstring<uuid>
          • emailstring
          • firstNamestring
          • middleNamestring
          • lastNamestring
          • suffixstring
          • prefixstring
          • dobstring<date>
          • addressobject
            ShowHide 5 attributes of address
            • street1stringRequired
              Pattern^[a-zA-Z0-9\s\-\.']+$
            • citystringRequired
              Pattern^[a-zA-Z\s\-']+$
            • statestringRequired
              Pattern^[A-Z]{2}$
            • zipstringRequired
              Pattern^[0-9]{5}(?:-[0-9]{4})?$
            • street2string
              Pattern^[a-zA-Z0-9\s\-\.']+$
          • phoneNumberstring
      • assignedUsersarray of objects
        ShowHide 1 attribute of assignedUsers
        • userUuidstring<uuid>Required
      • conditionsarray of objects
        ShowHide 4 attributes of conditions
        • activebooleanRequired
        • namestringRequired
        • createdDatestring<date-time>
        • lastUpdateDatestring<date-time>
      • demographicsobject
        ShowHide 16 attributes of demographics
        • hispanicOrLatinoEthnicityTypeboolean
        • ethnicityRefusalboolean
        • otherEthnicityDescriptionstring
        • genderRefusalboolean
        • raceRefusalboolean
        • raceAsianAdditionalDescriptionstring
        • racePacificIslanderAdditionalDescriptionstring
        • ethnicityCollectedBasedOnVisualObservationOrSurnameboolean
        • genderCollectedBasedOnVisualObservationOrNameboolean
        • raceCollectedBasedOnVisualObservationOrSurnameboolean
        • tribeNamestring
        • notHispanicOrLatinoboolean
        • ethnicityOriginTypesarray of enums
          One ofCUBANMEXICANPUERTO_RICANOTHER
        • genderTypesarray of enums
          One ofBOTH_MALE_AND_FEMALEFEMALEMALE
        • raceTypesarray of enums
          One ofAMERICAN_INDIAN_OR_ALASKA_NATIVEASIANBLACK_OR_AFRICAN_AMERICANNATIVE_HAWAIIAN_OR_OTHER_ISLANDERWHITE
        • raceDesignationTypesarray of enums
          One of
          11 valuesASIAN_INDIANCHINESEFILIPINOGUAMANIAN_OR_CHAMORROJAPANESEKOREANNATIVE_HAWAIIANOTHER_ASIANOTHER_PACIFIC_ISLANDERSAMOANVIETNAMESE
      • thirdPartyIntegrationsobject
        ShowHide 3 attributes of thirdPartyIntegrations
        • externalPartnerApplicationIdstring
        • externalPartnerReferenceIdstring
        • externalPartnerCustomerIdstring
      • fundingTransactionReportobject
        ShowHide 1 attribute of fundingTransactionReport
        • transactionsarray of objects
          ShowHide 9 attributes of transactions
          • idstring
          • amountnumber
          • initiatedAtstring<date-time>
          • effectiveDatestring
          • paymentRailenum
            One ofACHWIRE
          • statusenum
            One ofPENDINGSENTCOMPLETECANCELLEDEXCEPTIONRETURNEDNOCREQUIRES_APPROVALREJECTED
          • messageUuidstring<uuid>
          • sentAtstring<date-time>
          • batchingCategorystring
      • businessInfoobject
        ShowHide 7 attributes of businessInfo
        • entityNamestringRequired
        • entityTypeenumRequired
          One ofSOLE_PROPRIETORSHIPSINGLE_OWNER_LLCPARTNERSHIPMULTI_OWNER_LLCS_CORPPARTNERSHIP_OR_LLC
        • ownershipPercentagenumber
        • totalMonthlyRevenuenumber
        • einstring
        • stateOfIncorporationstring
        • addressobject
          ShowHide 5 attributes of address
          • street1stringRequired
            Pattern^[a-zA-Z0-9\s\-\.']+$
          • citystringRequired
            Pattern^[a-zA-Z\s\-']+$
          • statestringRequired
            Pattern^[A-Z]{2}$
          • zipstringRequired
            Pattern^[0-9]{5}(?:-[0-9]{4})?$
          • street2string
            Pattern^[a-zA-Z0-9\s\-\.']+$
      • authorizedSignatoryobject
        ShowHide 2 attributes of authorizedSignatory
        • authorizedSignatoryNamestring
        • authorizedSignatoryDatestring<date>
    • testVariantsobjectRequired
      ShowHide 1 attribute of testVariants
      • variantsarray of objectsRequired
        ShowHide 1 attribute of variants
        • namestringRequired
    • appShortIdstring
    • borrowerAppLinkstring
    • loanOriginatorDataobject
      ShowHide 8 attributes of loanOriginatorData
      • loanOriginatorUuidstring<uuid>
      • brokerUuidstring<uuid>
      • externalIdstring
      • nmlsstring
      • companyNmlsstring
      • licensesobject
        ShowHide 3 attributes of licenses
        • lenderLicenseobject
          ShowHide 2 attributes of lenderLicense
          • licenseHolderobject
            ShowHide 4 attributes of licenseHolder
            • typeenumRequired
              One ofUNKNOWNLENDERBROKERLOAN_OFFICER
            • uuidstring<uuid>Required
            • namestring
            • nmlsstring
          • stateLicenseobject
            ShowHide 5 attributes of stateLicense
            • typeenumRequired
              One ofUNKNOWNUNSPECIFIEDFEDERAL_LICENSECA_RMLA_STATE_LICENSECA_CFL_STATE_LICENSECA_DRE_STATE_LICENSE
            • uuidstring<uuid>Required
            • licenseNumberstring
            • licenseNamestring
            • statestring
        • loanOriginatorLicenseobject
          ShowHide 2 attributes of loanOriginatorLicense
          • licenseHolderobject
            ShowHide 4 attributes of licenseHolder
            • typeenumRequired
              One ofUNKNOWNLENDERBROKERLOAN_OFFICER
            • uuidstring<uuid>Required
            • namestring
            • nmlsstring
          • stateLicenseobject
            ShowHide 5 attributes of stateLicense
            • typeenumRequired
              One ofUNKNOWNUNSPECIFIEDFEDERAL_LICENSECA_RMLA_STATE_LICENSECA_CFL_STATE_LICENSECA_DRE_STATE_LICENSE
            • uuidstring<uuid>Required
            • licenseNumberstring
            • licenseNamestring
            • statestring
        • brokerLicenseobject
          ShowHide 2 attributes of brokerLicense
          • licenseHolderobject
            ShowHide 4 attributes of licenseHolder
            • typeenumRequired
              One ofUNKNOWNLENDERBROKERLOAN_OFFICER
            • uuidstring<uuid>Required
            • namestring
            • nmlsstring
          • stateLicenseobject
            ShowHide 5 attributes of stateLicense
            • typeenumRequired
              One ofUNKNOWNUNSPECIFIEDFEDERAL_LICENSECA_RMLA_STATE_LICENSECA_CFL_STATE_LICENSECA_DRE_STATE_LICENSE
            • uuidstring<uuid>Required
            • licenseNumberstring
            • licenseNamestring
            • statestring
      • companyDbaNamestring
      • emailstring
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ],
  "appDetails": {
    "organization": "string",
    "appUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "appShortId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "borrowerAppLink": "string",
    "appData": {
      "isInquiry": true,
      "isBridgeLoan": true,
      "startedAsInquiry": true,
      "autopay": true,
      "status": "string",
      "overallStatus": "string",
      "nextInquiryStep": "UNKNOWN",
      "keyDates": {
        "createdDate": "2026-01-15T14:30:00Z",
        "expirationDate": "2026-01-15T14:30:00Z",
        "rescissionEndDate": "2026-01-15T14:30:00Z",
        "signingDate": "2026-01-15T14:30:00Z",
        "completedDate": "2026-01-15T14:30:00Z",
        "canceledDate": "2026-01-15T14:30:00Z",
        "declinedDate": "2026-01-15T14:30:00Z",
        "summaryDisclosureDate": "2026-01-15T14:30:00Z",
        "productAgreementESignedTimestamp": "2026-01-15T14:30:00Z",
        "firstPaymentDueDate": "2026-01-15T14:30:00Z",
        "expectedPayoffDate": "2026-01-15T14:30:00Z",
        "lastStatusUpdateDate": "2026-01-15T14:30:00Z"
      },
      "propertyAddress": {
        "street1": "string",
        "street2": "string",
        "city": "string",
        "state": "CA",
        "zip": "94105"
      },
      "statusReasons": [
        "string"
      ],
      "ownershipType": "UNKNOWN",
      "financingPurpose": "UNKNOWN",
      "propertyLiens": [
        {
          "lienUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
          "originationDate": "2026-01-15",
          "lenderName": "string",
          "originalBalance": 0,
          "currentBalance": 0,
          "monthlyPayment": 0,
          "lienPosition": 0
        }
      ],
      "hudLiens": [
        {
          "lienUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
          "originationDate": "2026-01-15",
          "lenderName": "string",
          "originalBalance": 0,
          "currentBalance": 0,
          "monthlyPayment": 0,
          "lienPosition": 0
        }
      ],
      "underwriting": {
        "decision": "string",
        "minOfferAmount": 0,
        "maxOfferAmount": 0,
        "minOfferRate": 0,
        "maxOfferRate": 0,
        "ofeeMaxThreshold": 0,
        "offers": [
          {
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "minAmount": 0,
            "maxAmount": 0,
            "rate": 0,
            "primeRate": 0,
            "term": 0,
            "rateType": "UNKNOWN",
            "originationFeePercent": 0,
            "discounts": [
              {
                "type": "string",
                "rateDiscountAmount": 0
              }
            ],
            "preDiscountOriginationFee": 0,
            "appliedOriginationFeeCapAmount": 0
          }
        ],
        "selectedOffer": {
          "offerUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
          "loanAmount": 0,
          "drawAmount": 0,
          "estimatedMonthlyPayment": 0,
          "rate": 0,
          "primeRate": 0,
          "term": 0,
          "rateType": "UNKNOWN",
          "originationFeePercent": 0,
          "originationFee": 0,
          "selectedDiscounts": [
            {
              "type": "string",
              "rateDiscountAmount": 0
            }
          ],
          "creditLine": 0,
          "originationFeeAmount": 0
        },
        "softCredit": {
          "provider": "EXPERIAN",
          "score": 0,
          "timestamp": "2026-01-15T14:30:00Z"
        },
        "hardCredit": {
          "provider": "EXPERIAN",
          "score": 0,
          "timestamp": "2026-01-15T14:30:00Z"
        },
        "monthlyIncome": 0,
        "statedMonthlyIncome": 0,
        "preLoanDti": 0,
        "postLoanDti": 0,
        "statedDti": 0,
        "coDeedStatus": "INITIAL",
        "floodInsured": true,
        "homeownersInsured": true,
        "employmentType": "string",
        "homeForSaleMlsResponse": true,
        "homeForSaleBorrowerAttested": true,
        "creditAsOfDate": "2026-01-15",
        "pricingAsOfDate": "2026-01-15",
        "guidelineVersion": "string",
        "finalAvmFsd": 0,
        "prequalFsd": 0
      },
      "propertyValue": {
        "borrowerEstimatedValue": 0,
        "propertyAvmValue": 0,
        "preLoanCltv": 0,
        "postLoanCltv": 0,
        "preLoanAdjCltv": 0,
        "postLoanAdjCltv": 0,
        "postLoanAdjMinCltv": 0
      },
      "manualNotary": {
        "manualNotaryDate": "2026-01-15T14:30:00Z",
        "manualNotaryFee": 0
      },
      "notary": {
        "type": "NOT_APPLICABLE",
        "fee": 0,
        "appointmentDate": "2026-01-15T14:30:00Z",
        "completedDate": "2026-01-15T14:30:00Z"
      },
      "costs": {
        "fixedCosts": [
          {
            "type": "NOTARY_FEE",
            "borrowerPaidAmount": 0
          }
        ],
        "dynamicCosts": [
          {
            "type": "NOTARY_FEE",
            "borrowerPaidAmount": 0
          }
        ],
        "totalPaidByBorrower": 0
      },
      "ddpDetails": {
        "paidLiabilityPayoffAmount": 0,
        "totalLiabilityPayoffAmount": 0,
        "liabilityPayoffAllocatedAmountDtiImpacting": 0,
        "liabilityPayoffAllocatedAmountNonDtiImpacting": 0,
        "lienPositionAfterPayoff": 0,
        "existingLiabilities": {
          "eligible": [
            {
              "id": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
              "rateType": "VARIABLE",
              "liabilitySubType": "LEASE",
              "lastDigitsOfAccountNumber": "string",
              "monetaryBalance": 0,
              "interestRatePercentage": 0,
              "interestRatePercentageMax": 0,
              "interestRatePercentageMin": 0,
              "payOffStatus": "MARKED_FOR_PAYOFF",
              "creditorName": "string",
              "liabilityType": "AUTO",
              "reasons": [
                {
                  "unavailableReason": "NO_MATCHED_TRADELINE",
                  "description": {}
                }
              ],
              "providesDtiCredit": true,
              "providesCltvCredit": true,
              "providesLienPositionCredit": true
            }
          ],
          "ineligible": [
            {
              "id": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
              "rateType": "VARIABLE",
              "liabilitySubType": "LEASE",
              "lastDigitsOfAccountNumber": "string",
              "monetaryBalance": 0,
              "interestRatePercentage": 0,
              "interestRatePercentageMax": 0,
              "interestRatePercentageMin": 0,
              "payOffStatus": "MARKED_FOR_PAYOFF",
              "creditorName": "string",
              "liabilityType": "AUTO",
              "reasons": [
                {
                  "unavailableReason": "NO_MATCHED_TRADELINE",
                  "description": {}
                }
              ],
              "providesDtiCredit": true,
              "providesCltvCredit": true,
              "providesLienPositionCredit": true
            }
          ]
        }
      },
      "utmParameters": {
        "source": "string",
        "medium": "string",
        "campaign": "string",
        "content": "string",
        "term": "string"
      },
      "statusHistory": [
        {
          "overallStatus": "string",
          "status": "string",
          "timestamp": "2026-01-15T14:30:00Z"
        }
      ],
      "propertyDetails": {
        "county": "string",
        "propertyType": "PRIMARY",
        "propertyUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
        "corelogicPropertyId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
        "lotSquareFeet": 0,
        "propertyFloodZone": "string",
        "landUseDescription": "string",
        "landUseCode": "string",
        "buildingGrossArea": 0,
        "propertyAcres": 0
      },
      "borrowerDetails": {
        "primary": {
          "identityUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
          "email": "jane.doe@example.com",
          "firstName": "string",
          "middleName": "string",
          "lastName": "string",
          "suffix": "string",
          "prefix": "string",
          "dob": "2026-01-15",
          "address": {
            "street1": "string",
            "street2": "string",
            "city": "string",
            "state": "CA",
            "zip": "94105"
          },
          "phoneNumber": "string"
        },
        "additionalSigners": [
          {
            "identityUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "email": "jane.doe@example.com",
            "firstName": "string",
            "middleName": "string",
            "lastName": "string",
            "suffix": "string",
            "prefix": "string",
            "dob": "2026-01-15",
            "address": {
              "street1": "string",
              "street2": "string",
              "city": "string",
              "state": "CA",
              "zip": "94105"
            },
            "phoneNumber": "string"
          }
        ]
      },
      "assignedUsers": [
        {
          "userUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a"
        }
      ],
      "conditions": [
        {
          "active": true,
          "name": "string",
          "createdDate": "2026-01-15T14:30:00Z",
          "lastUpdateDate": "2026-01-15T14:30:00Z"
        }
      ],
      "demographics": {
        "hispanicOrLatinoEthnicityType": true,
        "ethnicityRefusal": true,
        "otherEthnicityDescription": "string",
        "genderRefusal": true,
        "raceRefusal": true,
        "raceAsianAdditionalDescription": "string",
        "racePacificIslanderAdditionalDescription": "string",
        "ethnicityCollectedBasedOnVisualObservationOrSurname": true,
        "genderCollectedBasedOnVisualObservationOrName": true,
        "raceCollectedBasedOnVisualObservationOrSurname": true,
        "tribeName": "string",
        "notHispanicOrLatino": true,
        "ethnicityOriginTypes": [
          "CUBAN"
        ],
        "genderTypes": [
          "BOTH_MALE_AND_FEMALE"
        ],
        "raceTypes": [
          "AMERICAN_INDIAN_OR_ALASKA_NATIVE"
        ],
        "raceDesignationTypes": [
          "ASIAN_INDIAN"
        ]
      },
      "thirdPartyIntegrations": {
        "externalPartnerApplicationId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
        "externalPartnerReferenceId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
        "externalPartnerCustomerId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a"
      },
      "fundingTransactionReport": {
        "transactions": [
          {
            "id": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "amount": 0,
            "initiatedAt": "2026-01-15T14:30:00Z",
            "effectiveDate": "2026-01-15",
            "paymentRail": "ACH",
            "status": "PENDING",
            "messageUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "sentAt": "2026-01-15T14:30:00Z",
            "batchingCategory": "string"
          }
        ]
      },
      "businessInfo": {
        "entityName": "string",
        "entityType": "SOLE_PROPRIETORSHIP",
        "ownershipPercentage": 0,
        "totalMonthlyRevenue": 0,
        "ein": "string",
        "stateOfIncorporation": "string",
        "address": {
          "street1": "string",
          "street2": "string",
          "city": "string",
          "state": "CA",
          "zip": "94105"
        }
      },
      "authorizedSignatory": {
        "authorizedSignatoryName": "string",
        "authorizedSignatoryDate": "2026-01-15"
      }
    },
    "loanOriginatorData": {
      "loanOriginatorUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "brokerUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "externalId": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
      "nmls": "string",
      "companyNmls": "string",
      "licenses": {
        "lenderLicense": {
          "licenseHolder": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "name": "string",
            "nmls": "string"
          },
          "stateLicense": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "licenseNumber": "string",
            "licenseName": "string",
            "state": "CA"
          }
        },
        "loanOriginatorLicense": {
          "licenseHolder": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "name": "string",
            "nmls": "string"
          },
          "stateLicense": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "licenseNumber": "string",
            "licenseName": "string",
            "state": "CA"
          }
        },
        "brokerLicense": {
          "licenseHolder": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "name": "string",
            "nmls": "string"
          },
          "stateLicense": {
            "type": "UNKNOWN",
            "uuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
            "licenseNumber": "string",
            "licenseName": "string",
            "state": "CA"
          }
        }
      },
      "companyDbaName": "string",
      "email": "jane.doe@example.com"
    },
    "testVariants": {
      "variants": [
        {
          "name": "string"
        }
      ]
    }
  }
}